# Find dispute

Returns the details of a specific dispute.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/find-dispute HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  dispute_id: string,
}
```

Returns: object

## Request arguments

### `dispute_id` (string)

**Required**. The unique identifier of the dispute (dsp_...)

## Response attributes

### `dispute_id` (string)

**Always present**. The unique identifier of the dispute.

### `payment_id` (string)

**Always present**. The ID of the payment being disputed.

### `contact_id` (string)

_Nullable_. The ID of the contact who made the payment.

### `message` (string)

_Nullable_. Additional context about the dispute, if any, provided by Reservepay.

### `status` (string)

**Always present**. The overall status of the dispute.

Possible values:

- `OPEN`
- `CHALLENGED`
- `REOPENED`
- `ESCALATED`
- `WON`
- `LOST`
- `EXPIRED`

### `challenge_received_at` (number)

_Nullable_. The (unix) timestamp when the merchant submitted the challenge.

### `escalation_received_at` (number)

_Nullable_. The (unix) timestamp when the merchant submitted the escalation.

### `won_at` (number)

_Nullable_. The (unix) timestamp when the dispute was won.

### `lost_at` (number)

_Nullable_. The (unix) timestamp when the dispute was lost.

### `amount` (number)

**Always present**. The disputed amount in subunits.

### `currency` (string)

**Always present**. The 3-letter ISO currency code.

### `reason` (string)

**Always present**. The reason code for the dispute.

### `suggested_evidence` (array)

**Always present**. A list of suggested evidence types for this dispute based on its reason.

Possible values:

- `cancellation_policy`
- `cancellation_request_records`
- `common_evidence`
- `customer_communication`
- `device_id_ip_data`
- `marketing_materials`
- `payment_logs`
- `payment_processing_records`
- `receipt`
- `refund_issuance`
- `refund_policy`
- `refund_records`
- `return_policy`
- `shipping_documentation`
- `supplier_certification`
- `technical_support_logs`
- `transaction_history`
- `transaction_logs`

### `deadline_at` (number)

_Nullable_. The timestamp (Unix) by which a challenge or escalation is required. Failure to escalate or challenge will cause the dispute to be automatically closed in favor of the customer.

### `created_at` (number)

**Always present**. The timestamp when the dispute was created.

### `fees` (array)

**Always present**. The fees associated with the dispute.

### `evidences` (array)

**Always present**. The evidence submitted for this dispute.

## Errors specific to this endpoint

### `NOT_FOUND`

The specified dispute was not found.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
